首页 / 浏览问题 / 移动GIS / 问题详情
android 开发中,出现so和jar不匹配,是什么原因呢?
洪武1  (10EXP)  才疏学浅
11月25日, 2020
lib下只有supermap三个jar包,defaultConfig也添加了ndk节点,环境初始化时还是包不匹配,请问一下还有其他原因吗?
问题关闭原因: 突然好了,谢谢

1个回答

您好,能否将错误信息贴出来。根据报错信息从以下方面排查:
1、确认导入的工程中libs中的so库和jar包是否同一个版本;
2、确认许可是否正常,测试手机的设备系统时间是否正常;
3、运行工程前将原来已生成的该软件卸载,再重新运行安装。
4、您那边使用的grandle版本是多少?
5.目前支持armeabi-v7a, 没有64位的库,请在libs目录下仅使用这个,或者AndroidStudio的gradle中配置ndk,仅使用armeabi-v7a.
董懿鑫  (8,997EXP)  登峰造极
11月25日, 2020

你好。导入的jar包是我直接从一个项目拷贝进来的,那个项目运行正常,测试手机是我自己用的手机,没问题,安装之前卸载了原有的软件。gradle版本为gradle:3.4.1,nkd配置也配置了。

...